
#include "unix.h"

typedef struct _Point {
    float x, y, z;
} Point;


Icosahedron()
{
    FILE *fp;
    extern char *filename;
    extern char creatingObject;
    creatingObject = 0;

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "icosahedron.geom" );
    fp = fopen( filename, "w" );

    fprintf( fp, "12\t20\t60\n" );

    /* Print the Coordinates of the points */
    fprintf( fp, "0.000000 0.809015 0.500000\n" );
    fprintf( fp, "0.000000 -0.809015 0.500000\n" );
    fprintf( fp, "0.000000 0.809015 -0.500000\n" );
    fprintf( fp, "0.000000 -0.809015 -0.500000\n" );
    fprintf( fp, "0.500000 0.000000 0.809015\n" );
    fprintf( fp, "-0.500000 0.000000 0.809015\n" );
    fprintf( fp, "0.500000 0.000000 -0.809015\n" );
    fprintf( fp, "-0.500000 0.000000 -0.809015\n" );
    fprintf( fp, "0.809015 0.500000 0.000000\n" );
    fprintf( fp, "-0.809015 0.500000 0.000000\n" );
    fprintf( fp, "0.809015 -0.500000 0.000000\n" );
    fprintf( fp, "-0.809015 -0.500000 0.000000\n" );

    /* Print the Conectivity data of the points */
    fprintf( fp, "3 4 7 11 \n" );
    fprintf( fp, "3 7 4 8  \n" );
    fprintf( fp, "3 8 4 12 \n" );
    fprintf( fp, "3 8 12 10\n" );
    fprintf( fp, "3 3 8 10 \n" );
    fprintf( fp, "3 1 5 9  \n" );
    fprintf( fp, "3 1 10 6 \n" );
    fprintf( fp, "3 1 6 5  \n" );
    fprintf( fp, "3 1 9 3  \n" );
    fprintf( fp, "3 1 3 10 \n" );
    fprintf( fp, "3 3 9 7  \n" );
    fprintf( fp, "3 3 7 8  \n" );
    fprintf( fp, "3 7 9 11 \n" );
    fprintf( fp, "3 6 10 12\n" );
    fprintf( fp, "3 2 5 6  \n" );
    fprintf( fp, "3 2 6 12 \n" );
    fprintf( fp, "3 2 11 5 \n" );
    fprintf( fp, "3 2 4 11 \n" );
    fprintf( fp, "3 2 12 4 \n" );
    fprintf( fp, "3 5 11 9 \n" );

    fclose( fp );
}
